Subject: Re: gcc linker not producing executable
From: "Dennis McNulty" <[email-masked]>
To: "Pavel Tsekov" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 9 Apr 2002 20:50:40 -0700

Pavel  -

It turned out that I did have two copies of cygwin1.dll, both in the cygwin
directory area.  I had an older version (1.3.2) in my /home/my_name
directory, which was also where I had the .c files I was trying to compile
and link.  Removing that one now causes the more recent one in /bin to be
invoked, and gcc linking works again.   g++ linking had worked because the
.cpp files were in a different directory that didn't have its own copy of
the dll.

From reading earlier threads, I was inspired to remove only a duplicate .dll
from the windows/system directory.  I never thought to look for duplicates
in the cygwin area.  Thanks muchly for the tip.

-  Dennis McNulty
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

----- Original Message -----
From: "Pavel Tsekov" <[email-masked]>
To: "Dennis McNulty" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, April 09, 2002 7:54 AM
Subject: Re: gcc linker not producing executable

> Hello Dennis,
>
> Tuesday, April 09, 2002, 6:52:37 AM, you wrote:
>
> DM> messages at all.  In fact, if I ask to use gcc to link, it will even
delete
> DM> the -o file if it already exists.  I'm forced into using gcc to
compile
> DM> only, then ld to link.
>
> DM> Any ideas about what could be causing this?
>
> Just a quick guess ? Do you have two (maybe more) copies of
> cygwin1.dll on your system ? If you dont know try searching the output
> of 'cygcheck -r -s -v'.
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/